Subject: Re: powerpc/mm/hash: Increase vmalloc space with hash translation mode

From: Michael Ellerman <[email-masked]>
Date: Fri, 22 Feb 2019 20:47:57 +1100 (AEDT)

On Wed, 2019-02-13 at 11:15:09 UTC, "Aneesh Kumar K.V" wrote:
> From: Michael Ellerman <[email-masked]>
> 
> This patch updates the kernel none linear virtual map area size to 512TB
> with 64K page size and hash translation mode. We allocate one context
> for the vmalloc region and hence the max virtual area size is limited
> by the context map size (512TB for 64K and 64TB for 4K page size).
> 
> This patch fixes boot failures with large amounts of system RAM where we
> need large vmalloc space to handle per cpu allocation.
> 
> Signed-off-by: Michael Ellerman <[email-masked]>
> Signed-off-by: Aneesh Kumar K.V <[email-masked]>

Applied to powerpc next, thanks.

https://git.kernel.org/powerpc/c/3d8810e02b7f811be3bc9ad2f433be4e

cheers